Subject: Summary: Extended Huckel availability

From: "John Waite, Tel 1-7238958, N.H.R.F., Vas. Konstantinou 48, Athens 116-35" <[email-masked]>
Date: Mon, 4 Jul 94 19:22 BST

Hi CC's,
     My original request was: 
 
>    Does anyone have a 3-D Extended Huckel code, in C or Fortran, available
>  for free, or know where such a program can be obtained?
>     Hopefully,
>       John Waite
> 
>    [email-masked]
 
   Below are the responses I received, plus some comments from me:
 
An extended-Hueckel package including FORTRAN sources and manual is available
at QCPE (QCMP #116). It is called ICONC&INPUTC.
 
With kind regards 
 
Martin Braendle
 
--------------------------------------------------------------------------------
Martin Braendle, Institute for Inorganic and Physical Chemistry, University of
Berne, Freiestr. 3, CH-3012 Berne, Tel. ~41 31 631 42 25, Fax ~41 31 631 39 94,
Email [email-masked] (or [email-masked])
 
*****************************************************************************
 
 From [email-masked]
 
Mealli and Proserpio's CACAO package includes an excellent extended Huckel
based on a mojor revision of Hoffmann's programme
 
ftp from stinch0.csmtbo.mi.cnr.it
 
  I could not find CACAO at this address, so asked John for their e-mail
 addresses:
 
Carlo Mealli is at [email-masked]
and
Davide Proserpio at [email-masked]
 
OK?
 
************************************************************************
 
From: [email-masked] (Randy Boehm)
Yes,
1) There is a code available through QCPE by Whangbo, Hoffman etc.
2) Also, I have such a code developed in house but I'm not sure
   I can distribute it freely.  I will check for you.
 
               Next day
 
Dear John,
 
 The good news is that I can send you my code.  The bad news is that, in
its current form, it is so unfriendly that even I do not like using it.
Plans are in the works for a slick interface.
 
You should be recieving two files from me: solid7.f and test.f
solid7.f is the main code.  test.f is a routine which generates all of the
input files used by solid7.f  I hope test.f will be fairly easy to figure
out as all of the variable names are obvious.
 
Two important points you need to be aware of: 1) the normalization factor
which is often kept separate from the expansion coefficient is folded into
the expansion coefficients here.  2) The primitives must be ordered as
follows: all s-type primitives, all p-type primitives (x,y,z), all d-type
(X2-Y2,XY,XZ,YZ,2Z2-X2-Y2), etc and the sum of ns+np+nd must equal nprim
and mprim.  I guess I should send you a copy of the routine I use to do
this sorting-- That will come later.
 
Please do not distribute this code.

No doubt you will have questions. I'll be happy to answer any questions you
have.
 
[email-masked]
Randall C. Boehm  
Michigan State University and Quantum Improvements
 
                 Next day
John,
  
 To follow I am sending two programs I have used to sort the primitives
that are to be used in my band structure package.  The initial values
are taken from a previous run on an isolated cluster, and the flags
asis=.true. and aobasis=.false. can be set.  If you plan on setting
aobasis=.true. then it may be just as easy to modify "test.f" to give
you what is needed.
  Anyway, feel free to browse.
 
 I recived all these codes - extremely helpful,
  Thank you
 
*****************************************************************************
 
From: liang <[email-masked]>
 
You may get the source code in FORTRAN from QCPE. The name of the program is
EHMACC (Extended Huckel Molecular and Crystal Calculations), and the principal
author is Professor M.-H. Whangbo at North Carolina State University, USA.
A PC version (executable) of that program and other related programs which
manipulate and optimize molecular and crystal structures and calculate solid 
properties such as DOS, Fermi surface will be available soon from the author 
for a minimal cost. The email of Dr. Whangbo is [email-masked]. 
Hope this helps.
 
*****************************************************************************
 
From: De la Mora y Palomar Askinasy Pablo -FC <[email-masked]>
 
I have a version of the Extended Huckel program, the one developed by 
Roald Hoffmann. You could also get it from him.
                Yours
                        Pablo de la Mora
 
 On requesting a copy of Pablo's code, I received it by return,
 Thanks again, Pablo
 
****************************************************************************

    Thank you all who replied and to the List that made it possible.

      John Waite